IBM DB2 9.1 < Fix Pack 12 Multiple Vulnerabilities

This script is Copyright (C) 2012-2015 Tenable Network Security, Inc.

Synopsis :

The remote database server is affected by multiple issues.

Description :

According to its version, the installation of IBM DB2 9.1 running on
the remote host is affected by one or more of the following issues :

- An integer signedness error exists in the 'db2asrrm'
process that can lead to a heap-based buffer overflow.
Note that this issue does not affect Windows hosts.
(#IC80561 / CVE-2012-0711)

- An error exists related to the stored procedure
'SQLJ.DB2_INSTALL_JAR' that can allow 'JAR' files to be
overwritten. Note that this issue only affects Windows
hosts. (#IC84019 / CVE-2012-2194)

- An error exists related to the stored procedures
'GET_WRAP_CFG_C' and 'GET_WRAP_CFG_C2' that can allow
unauthorized access to XML files. (#IC84614 /

- An error exists related to the Java stored procedure
infrastructure that can allow stack-based buffer
overflows. (#IC84555 / CVE-2012-2197)

See also :

Solution :

Apply IBM DB2 Version 9.1 Fix Pack 12 or later.

Risk factor :

High / CVSS Base Score : 7.5
CVSS Temporal Score : 6.2
Public Exploit Available : true

Family: Databases

Nessus Plugin ID: 60098 ()

Bugtraq ID: 52326

CVE ID: CVE-2012-0711